Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 15:48:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I created a return request days ago and finally when the pick up courier representative came he gave me incorrect reference number and took wrong items from me. And I don’t know where are the items as the status still shows return requested. I am waiting for a confirmation and my refund. When I contacted the call center they said they don’t have any information about these items. I am referring to order number 9560001606. Can someone kindly look into this and advise me the status. And please be informed that this is happening repeatedly again and again for all my requests where the courier company takes the items from me and it doesn’t show on the status. And then I just keep following up with the warehouse and call center and no one does anything until I raise a complaint. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4072331